iptables: fix dependency for libip6tc on IPV6
authorRosy Song <rosysong@rosinson.com>
Thu, 9 Aug 2018 06:47:31 +0000 (14:47 +0800)
committerJo-Philipp Wich <jo@mein.io>
Tue, 18 Dec 2018 10:28:14 +0000 (11:28 +0100)
Signed-off-by: Rosy Song <rosysong@rosinson.com>
(backported from 2dc1f54b1205094e7c6036cae6275d2c326bad3e)

package/network/utils/iptables/Makefile

index 9c7179c..c1e4790 100644 (file)
@@ -462,7 +462,7 @@ define Package/libiptc
 $(call Package/iptables/Default)
   SECTION:=libs
   CATEGORY:=Libraries
-  DEPENDS:=+libip4tc +libip6tc +libxtables
+  DEPENDS:=+libip4tc +IPV6:libip6tc +libxtables
   ABI_VERSION:=$(PKG_VERSION)
   TITLE:=IPv4/IPv6 firewall - shared libiptc library (compatibility stub)
 endef
@@ -482,7 +482,7 @@ $(call Package/iptables/Default)
   CATEGORY:=Libraries
   TITLE:=IPv6 firewall - shared libiptc library
   ABI_VERSION:=$(PKG_VERSION)
-  DEPENDS:=+libxtables
+  DEPENDS:=@IPV6 +libxtables
 endef
 
 define Package/libxtables